Subject: Re: about 802.11i IBSS support

From: Hong Liu <[email-masked]>
Date: Thu, 26 Oct 2006 10:47:24 +0800

On Wed, 2006-10-25 at 23:48, Jouni Malinen wrote:
> On Wed, Oct 25, 2006 at 04:54:41PM +0800, Hong Liu wrote:
> 
> > I am reading the 802.11i IBSS spec and
> > trying to find if it is OK to add patches to d80211 to support this feature.
> 
> Large parts of this will be outside d80211, but yes, I think d80211
> should be made ready to support this (mainly in the multiple group keys
> area).
> 
> > When a STA (say S1) joins in an IBSS network with N STAs,
> > it must negotiate keys with all N STAs.
> 
> I don't think it is required to negotiate keys with all STAs of the
> network unless it actually needs to communicate with them, i.e., there
> may be cases where it is not needed to send or receive data from some of
> the nodes.

This may add complexity to the implementation.

If the STA wants to send broadcast data, it must distribute its group
key to all other STAs, and then it can send out the packet.

For RX, if it receives data from other STA it needs to find out whether it
has finished key negotiation with that STA. And it can not decrypt the data
until key negotiation is finished.

If we negotiate keys at the beginning, things will be simple.
But the cost is we may negotiating keys with STAs we may not communicate with.

Thanks,
Hong